<?php
 
//adding metabox to gallery items
add_action( 'admin_menu', 'wp_pinterest_to_wp_create_meta_box4' );

function wp_pinterest_to_wp_create_meta_box4(){
	add_meta_box( 'wp_pinterest_to_wp_page-meta-boxes4', 'Gallery Shortcode', 'wp_pinterest_to_wp_page_meta_boxes4', 'wp_pinterest_to_wp', 'side', 'low' );
}

function wp_pinterest_to_wp_page_meta_boxes4(){
	
	wp_pinterest_to_wp_page_meta_boxes_pin4();
}

//metabox content 
function wp_pinterest_to_wp_page_meta_boxes_pin4(){
	
	//reading meta values
	global $post;
	$id= $post->ID;
	 
	 ?>
	 
	 
	 <p>To view the gallery on your blog copy this shortcode to your post/page .<p>
	 <p style="text-align:center"><h4>[pinterest_gallery id="<?php echo $id ?>"]</h4></p>
	 
	 <?php 
	 
}